Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
        POST
      • Individuals Analysis
        POST
      • Organizations Analysis
        POST
      • Screening Entities Summary Analysis
        POST
      • Create BlackList
        POST
      • Get All BlackList Records
        GET
      • Get Blacklist Record by ID
        GET
      • Delete Blacklist Record by ID
        DELETE
      • Update Blacklist Record by ID
        PATCH
      • Update Blacklist Settings Account
        PATCH
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
      • List Transactions
      • List Document types
      • List Cryptocurrencies
      • Register remitter
      • Register Beneficiary
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Create BlackList

Developing
POST
https://app.rillis.io/api/v1/black-list-api
This endpoint allows you to create and register a new blacklist entry within your Rillis account. Blacklist records are used during screening and compliance processes to identify wallets, individuals, or organizations that require special attention or risk evaluation. When a record is created, it becomes part of your internal blacklist, which is continuously used by Rillis to compare incoming screening inputs such as names, document numbers, countries, or wallet addresses. Any future analysis that matches this record will generate blacklist matches and influence the overall risk assessment.

Request

Body Params application/jsonRequired

Examples

Responses

🟒201Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://app.rillis.io/api/v1/black-list-api' \
--header 'Content-Type: application/json' \
--data-raw '{
    "client_id": "1MpwlwE11dHixJpB8Ksy0sfVON1019EbqRb0+LvSxxx=",
    "client_secret": "ee592d0c880795f14308084088381150f0862a1dce12cf9cea60345ca3671083c708363cc4296a3451afb097b38xxx",
    "entity_type": "PERSON",
    "person": {
        "full_name": "NELSON SANCHEZ",
        "gender": "UNSPECIFIED",
        "country_of_birth": "CHL",
        "issuer_country": "CHL",
        "document_type": "CL-RUT",
        "document_number": "55533333333"
    },
    "reason": "Test PERSON"
}'
Response Response Example
Success Blacklist Company
{
    "entity_type": "COMPANY",
    "is_active": true,
    "reason": "a sample reason",
    "company": {
        "name_company": "BLACK LIST COMPANY",
        "country_constitution": "CHL",
        "document_type": "CL-RUT",
        "document_number": "33333333"
    },
    "registered_in": 1762373235041,
    "id": "690bae73e25867a4eff205c5"
}
Modified atΒ 2026-01-08 14:58:24
Previous
Screening Entities Summary Analysis
Next
Get All BlackList Records
Built with